Get Trace

The trace's root span.

GET/api/v1/traces/{trace_id}

The trace's root span.

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

trace_id*Trace Id
Match^[0-9a-f]{32}$

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/traces/string"
{  "attributes": {    "property1": null,    "property2": null  },  "cost_usd": "string",  "ended_at": "2019-08-24T14:15:22Z",  "events": [    {      "attributes": {        "property1": null,        "property2": null      },      "name": "string",      "timestamp": "2019-08-24T14:15:22Z"    }  ],  "id": "string",  "input": null,  "kind": "string",  "level": "string",  "links": [    {      "attributes": {        "property1": null,        "property2": null      },      "span_id": "string",      "trace_id": "string"    }  ],  "model": "string",  "name": "string",  "output": null,  "parent_id": "string",  "resource_attributes": {    "property1": null,    "property2": null  },  "scope": {    "name": "string",    "version": "string"  },  "source_url": "string",  "started_at": "2019-08-24T14:15:22Z",  "status": "ok",  "status_message": "string",  "trace_id": "string",  "usage": {    "property1": 0,    "property2": 0  }}